/*==========================================================================*/
/*                                                                          */
/*      INCLUDE_FILE:   I2C_PLM.H                                           */
/*      PACKAGE:        I2C                                                 */
/*                                                                          */
/*==========================================================================*/


/*==========================================================================*/
/*      G L O B A L   F U N C T I O N   P R O T O T Y P E S                 */
/*==========================================================================*/
I2C_INIT: PROCEDURE(Own_Slv_Addr,Slv_Buf_Addr,Retry) BIT EXTERNAL;
    DECLARE(Own_Slv_Addr,Slv_Buf_Addr,Retry) BYTE MAIN;
END I2C_INIT;

I2C_TEST_DEVICE: PROCEDURE(Slv_Addr) BIT EXTERNAL;
    DECLARE(Slv_Addr) BYTE MAIN;
END I2C_TEST_Device;

I2C_WRITE: PROCEDURE(Slv_Addr,Count,Source_Ptr) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count,Source_Ptr) BYTE MAIN;
END I2C_WRITE;

I2C_WRITE_SUB: PROCEDURE(Slv_Addr,Count,Source_Ptr,Sub_Addr) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count,Source_Ptr,Sub_Addr) BYTE MAIN;
END I2C_WRITE_SUB;

I2C_WRITE_SUB_SWINC: PROCEDURE(Slv_Addr,Count,Source_Ptr,Sub_Addr) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count,Source_Ptr,Sub_Addr) BYTE MAIN;
END I2C_WRITE_SUB_SWINC;

I2C_WRITE_MEMORY: PROCEDURE(Slv_Addr,Count,Source_Ptr,Sub_Addr) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count,Source_Ptr,Sub_Addr) BYTE MAIN;
END I2C_WRITE_MEMORY;

I2C_WRITE_SUB_WRITE: PROCEDURE(Slv_Addr,Count_1,Source_Ptr_1,Sub_Addr,Count_2,Source_Ptr_2) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count_1,Source_Ptr_1,Sub_Addr,Count_2,Source_Ptr_2) BYTE MAIN;
END I2C_WRITE_SUB_WRITE;

I2C_WRITE_SUB_READ: PROCEDURE(Slv_Addr,Count_1,Source_Ptr,Sub_Addr,Count,Dest_Ptr) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count_1,Source_Ptr,Sub_Addr,Count,Dest_Ptr) BYTE MAIN;
END I2C_WRITE_SUB_READ;

I2C_WRITE_COM_WRITE: PROCEDURE(Slv_Addr,Count_1,Source_Ptr_1,Count_2,Source_Ptr_2) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count_1,Source_Ptr_1,Count_2,Source_Ptr_2) BYTE MAIN;
END I2C_WRITE_COM_WRITE;

I2C_WRITE_REP_WRITE: PROCEDURE(Slv_Addr,Count_1,Source_Ptr_1,Sub_Addr,Count_2,Source_Ptr_2) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count_1,Source_Ptr_1,Sub_Addr,Count_2,Source_Ptr_2) BYTE MAIN;
END I2C_WRITE_REP_WRITE;

I2C_WRITE_REP_READ: PROCEDURE(Slv_Addr,Count_1,Source_Ptr,Sub_Addr,Count_2,Dest_Ptr) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count_1,Source_Ptr,Sub_Addr,Count_2,Dest_Ptr) BYTE MAIN;
END I2C_WRITE_REP_READ;

I2C_READ: PROCEDURE(Slv_Addr,Count,Dest_Ptr) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count,Dest_Ptr) BYTE MAIN;
END I2C_READ;

I2C_READ_STATUS: PROCEDURE(Slv_Addr,Dest_Ptr) BIT EXTERNAL;
    DECLARE(Slv_Addr,Dest_Ptr) BYTE MAIN;
END I2C_READ_STATUS;

I2C_READ_SUB: PROCEDURE(Slv_Addr,Count,Dest_Ptr,Sub_Addr) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count,Dest_Ptr,Sub_Addr) BYTE MAIN;
END I2C_READ_SUB;

I2C_READ_REP_READ: PROCEDURE(Slv_Addr,Count_1,Dest_Ptr_1,Sub_Addr,Count_2,Dest_Ptr_2) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count_1,Dest_Ptr_1,Sub_Addr,Count_2,Dest_Ptr_2) BYTE MAIN;
END I2C_READ_REP_READ;

I2C_READ_REP_WRITE: PROCEDURE(Slv_Addr,Count_1,Dest_Ptr_1,Sub_Addr,Count_2,Source_Ptr) BIT EXTERNAL;
    DECLARE(Slv_Addr,Count_1,Dest_Ptr_1,Sub_Addr,Count_2,Source_Ptr) BYTE MAIN;
END I2C_READ_REP_WRITE;
